## org.apache.lucene.index
Interface NRTManager.WaitingListener

All Known Implementing Classes:
  NRTManagerReopenThread

Enclosing class:
  NRTManager

    public static interface NRTManager.WaitingListener

NRTManager invokes this interface to notify it when a caller is waiting for a specific generation searcher to be visible.

Method Summary
`void` `waiting(boolean requiresDeletes, long targetGen)`

Method Detail

### waiting

    void waiting(boolean requiresDeletes,
                 long targetGen)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.